OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.CLEvent

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBCLEvent :: MonadIO m => m Bool
- gl_ARB_cl_event :: Bool
- pattern GL_SYNC_CL_EVENT_ARB :: GLenum
- pattern GL_SYNC_CL_EVENT_COMPLETE_ARB :: GLenum
- glCreateSyncFromCLeventARB :: MonadIO m => Ptr a -> Ptr b -> GLbitfield -> m GLsync

# Extension Support

glGetARBCLEvent :: MonadIO m => m Bool Source #

Is the ARB_cl_event extension supported?

gl_ARB_cl_event :: Bool Source #

Is the ARB_cl_event extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBCLEvent` in those cases instead.

# Enums

pattern GL_SYNC_CL_EVENT_ARB :: GLenum Source #

pattern GL_SYNC_CL_EVENT_COMPLETE_ARB :: GLenum Source #

# Functions

glCreateSyncFromCLeventARB Source #

Arguments

:: MonadIO m |
=> Ptr a | `context` pointing to elements of type `cl_context`.
-> Ptr b | `event` pointing to elements of type `cl_event`.
-> GLbitfield | `flags`.
-> m GLsync | of type `sync`.